//const MerchantUser = require("../../model/MerchantUser");
 const mongoose = require("mongoose");
 
module.exports.authenticateKeyToken = (req, res, next) => {
  const key = req.body.key;
  const token = req.body.token;
  //console.log(process.env.APP_API_KEY);
  if(key == process.env.APP_API_KEY && token == process.env.APP_API_TOKEN){
    //console.log(process.env.APP_API_KEY);
   return next();
  }
  return res.status(400).json({
    InputParams: { ...req.body },
    Response: { status: 400, msg: "Invalid Input Param" },
  });
  
};

 
